## tdewebdev-trinity 14.1.0

=== doc/man/klinkstatus/CMakeLists.txt ===
INSTALL(
    FILES klinkstatus.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

## tdewebdev-trinity 14.0.5

=== debian/changelog ===
tdewebdev-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 04:28:40 +0200

tdewebdev-trinity (4:3.5.10-0ubuntu5) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdewebdev-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 03 March 2009 20:08:00 -0600

tdewebdev-trinity (4:3.5.10-0ubuntu1~intrepid1) intrepid; urgency=low

  * SVN Import

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 30 Nov 2008 23:48:00 -0600

tdewebdev (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump build-dep version on tdelibs4-dev and libcvsservice-dev to 3.5.10

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:55:17 -0400

tdewebdev (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:08 +0000

tdewebdev (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 11:16:45 +0000

tdewebdev (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining change,
   - Use -fpermissive when building with g++-4.3 (duplicate #define in
     libxslt1-dev header). LP: #138601.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:49 +0000

tdewebdev (4:3.5.8-1) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * New upstream release. (Closes: #325336)
   + Patches: remove 05_community_typo, merged upstream.
   + Bump build-dependencies and stuff to 3.5.8 and redo buildprep.
   + Update *.install files.

  +++ Changes by Armin Berres:

  * Add patch to fix build failure with gcc-4.3. (Closes: #441547)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 15 Oct 2007 17:02:52 +0200

tdewebdev (4:3.5.7-2) unstable; urgency=low

  +++ Changes by Sune Vuorela:
  
  * Implement uploaders.mk and update uploaders.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove Recommends on wdg-html-reference. (Closes: #429418) 
  * Fix typo in quanta standard templates. Patch 05_community_typo.diff.
   (Closes: #411985)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 24 Jul 2007 00:46:49 +0200

tdewebdev (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:28 +0100

tdewebdev (4:3.5.7-1ubuntu2) gutsy; urgency=low

  * Use -fpermissive when building with g++-4.3 (duplicate #define in
    libxslt1-dev header). LP: #138601.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Sep 2007 01:28:09 +0000

tdewebdev (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * Merge with Debian for new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 May 2007 22:07:41 +0100

tdewebdev (4:3.5.7-1) unstable; urgency=low

  * New upstream release.  

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 16 May 2007 16:19:30 +0100

tdewebdev (4:3.5.6-2ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 20:32:57 +0100

tdewebdev (4:3.5.6-1) experimental; urgency=low

  * New upstream release.  
  * Make tdewebdev-dbg depend on tdelibs-dbg to get useful backtraces when
    debugging.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 19 Jan 2007 02:14:45 +0100

tdewebdev (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Remove kubuntu_01_kimagemapeditor_crash.diff, applied upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:31 +0000

tdewebdev (4:3.5.5-1ubuntu1) feisty; urgency=low

  * Merge with Debian
  * Build with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 22:52:45 +0000

tdewebdev (4:3.5.5-1) unstable; urgency=medium

  * New upstream release.
    + Add some more special characters to the list. (Closes: #342705)
    + Fixes the keyword "default" which was not colored as "switch"
      and "case" in PHP source code. (Closes: #349787)
    + Fixes quanta: missing &#345; U+0159 latin small letter r with
      caron. (Closes: #377302)

  * phpdoc is now php-doc, so update debian/control and debian/quanta.links
    appropriately. Also lower php-doc from Recommends to Suggests, as it is
    non-free, and add a note in the Quanta README.Debian explaining the
    situation. Thanks to Ben Burton for the report and analysis. This is RC,
    so urgency medium. (Closes: #391672)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 10 Oct 2006 18:01:00 -0400

tdewebdev (4:3.5.4-1) unstable; urgency=low

  * New upstream release.
    + Fixes quanta "Quick Start" producing invalid xhtml/javascript code.
      (Closes: #339367)
    + Fixes quanta Italics inversion after changing editor font settings.
      (Closes: #367365)
    + Fixes many VPL crashes. (Closes: #358489)

  * KDE_3_5_BRANCH update (up to r577441).

  +++ Changes by Christopher Martin:

  * Add tdefilereplace manpage, thanks to Holger Hartmann. (Closes: #370237)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 Aug 2006 14:11:51 -0400

tdewebdev (4:3.5.5-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  3 Oct 2006 10:56:07 +0000

tdewebdev (4:3.5.4-0ubuntu2) edgy; urgency=low

  * Rebuild with latest cdbs to add gettext domain to .desktop files for
    langpacks-desktopfiles-kde, no source changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  5 Sep 2006 22:53:12 +0000

tdewebdev (4:3.5.4-0ubuntu1) edgy; urgency=low

  * New upstream release



=== debian/control ===
Source: tdewebdev-trinity
Section: web
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Armin Berres <trigger+debian@space-based.de>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, gettext, tdelibs14-trinity-dev, libreadline-dev | libreadline6-dev | libreadline5-dev, libxml2-dev, libxslt1-dev, sharutils, texinfo, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://trinity.pearsoncomputing.net

Package: tdewebdev-trinity
Architecture: all
Section: tde
Replaces: kdewebdev-kde3 (<< 4:14.0.0~), kdewebdev-trinity (<< 4:14.0.0~)
Breaks: kdewebdev-kde3 (<< 4:14.0.0~), kdewebdev-trinity (<< 4:14.0.0~)
Depends: quanta-trinity (>= ${source:Version}), tdefilereplace-trinity (>= ${source:Version}), kimagemapeditor-trinity (>= ${source:Version}), klinkstatus-trinity (>= ${source:Version}), kommander-trinity (>= ${source:Version}), kxsldbg-trinity (>= ${source:Version})
Suggests: kommander-trinity-dev (>= ${source:Version}), tdewebdev-trinity-doc-html (>= ${source:Version})
Description: web development apps from the official TDE release [Trinity]
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of web development applications
 provided with the official release of TDE.

Package: tdewebdev-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdewebdev-kde3-doc-html (<< 4:14.0.0~), kdewebdev-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdewebdev-kde3-doc-html (<< 4:14.0.0~), kdewebdev-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdewebdev-trinity
Description: TDE web development documentation in HTML format [Trinity]
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE web development documentation converted
 to HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/quanta/. Documentation is provided for most
 TDE web development packages.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: quanta-trinity
Architecture: any
Section: web
Replaces: quanta-kde3 (<< 4:14.0.0~), quanta-trinity (<< 4:14.0.0~)
Breaks: quanta-kde3 (<< 4:14.0.0~), quanta-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdefilereplace-trinity, klinkstatus-trinity, kommander-trinity, quanta-data-trinity, tidy
Recommends: cervisia-trinity, gnupg, kompare-trinity, kxsldbg-trinity, docbook-defguide
Suggests: gubed, kimagemapeditor-trinity, wget, khelpcenter-trinity, php-doc
Description: web development environment for TDE [Trinity]
 Quanta Plus is a web development environment for working with HTML
 and associated languages. It strives to be neutral and transparent
 to all markup languages, while supporting popular web-based scripting
 languages, CSS and other emerging W3C recommendations.
 .
 Quanta Plus supports many external components, debuggers and other tools
 for web development, several of which are shipped with the TDE web
 development module.
 .
 Quanta Plus is not in any way affiliated with any commercial versions
 of Quanta. The primary coders from the original team left the GPL'd
 version to produce a commercial product.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: quanta-data-trinity
Architecture: all
Section: web
Replaces: quanta-data-kde3 (<< 4:14.0.0~), quanta-data-trinity (<< 4:14.0.0~)
Breaks: quanta-data-kde3 (<< 4:14.0.0~), quanta-data-trinity (<< 4:14.0.0~)
Recommends: quanta-trinity (= ${source:Version})
Description: data files for Quanta Plus web development environment [Trinity]
 This package contains architecture-independent data files for Quanta
 Plus, a web development environment for working with HTML and associated
 languages.
 .
 See the quanta package for further information.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: tdefilereplace-trinity
Architecture: any
Section: tde
Replaces: kfilereplace-kde3 (<< 4:14.0.0~), kfilereplace-trinity (<< 4:14.0.0~)
Breaks: kfilereplace-kde3 (<< 4:14.0.0~), kfilereplace-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity
Description: batch search-and-replace component for TDE [Trinity]
 KFileReplace is an embedded component for TDE that acts as a batch
 search-and-replace tool. It allows you to replace one expression with
 another in many files at once.
 .
 Note that at the moment KFileReplace does not come as a standalone
 application. An example of an application that uses the KFileReplace
 component is Quanta Plus (found in the package quanta).
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kimagemapeditor-trinity
Architecture: any
Section: editors
Replaces: kimagemapeditor-kde3 (<< 4:14.0.0~), kimagemapeditor-trinity (<< 4:14.0.0~)
Breaks: kimagemapeditor-kde3 (<< 4:14.0.0~), kimagemapeditor-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity
Description: HTML image map editor for TDE [Trinity]
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: klinkstatus-trinity
Architecture: any
Section: web
Replaces: klinkstatus-kde3 (<< 4:14.0.0~), klinkstatus-trinity (<< 4:14.0.0~)
Breaks: klinkstatus-kde3 (<< 4:14.0.0~), klinkstatus-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity, khelpcenter-trinity
Description: web link validity checker for TDE [Trinity]
 KLinkStatus is TDE's web link validity checker. It allows you to
 search internal and external links throughout your web site. Simply
 point it to a single page and choose the depth to search.
 .
 You can also check local files, or files over ftp:, fish: or any other
 KIO protocols. For performance, links can be checked simultaneously.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kommander-trinity
Architecture: any
Section: tde
Replaces: kommander-kde3 (<< 4:14.0.0~), kommander-trinity (<< 4:14.0.0~)
Breaks: kommander-kde3 (<< 4:14.0.0~), kommander-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, gettext
Suggests: kommander-trinity-dev, quanta-trinity, khelpcenter-trinity
Description: visual dialog builder and executor tool [Trinity]
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 More specifically, Kommander is a set of tools that allow you to create
 dynamic GUI dialogs that generate, based on their state, a piece of
 text. The piece of text can be a command line to a program, any piece
 of code, business documents that contain a lot of repetitious or
 templated text and so on.
 .
 The resulting generated text can then be executed as a command line
 program (hence the name "Kommander"), written to a file, passed to a
 script for extended processing, and literally anything else you can
 think of. And you aren't required to write a single line of code!
 .
 As well as building dialogs, Kommander may be expanded to create full
 mainwindow applications.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kommander-trinity-dev
Architecture: any
Section: libdevel
Replaces: kommander-kde3-dev (<< 4:14.0.0~), kommander-trinity-dev (<< 4:14.0.0~)
Breaks: kommander-kde3-dev (<< 4:14.0.0~), kommander-trinity-dev (<< 4:14.0.0~)
Depends: kommander-trinity (= ${binary:Version}), tdelibs14-trinity-dev
Description: development files for Kommander [Trinity]
 This package contains the headers and other development files for
 building plugins or otherwise extending Kommander.
 .
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 See the kommander package for further information.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: kxsldbg-trinity
Architecture: any
Section: text
Replaces: kxsldbg-kde3 (<< 4:14.0.0~), kxsldbg-trinity (<< 4:14.0.0~)
Breaks: kxsldbg-kde3 (<< 4:14.0.0~), kxsldbg-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: quanta-trinity, khelpcenter-trinity
Description: graphical XSLT debugger for TDE [Trinity]
 KXSLDbg is a debugger for XSLT scripts. It includes a graphical user
 interface as well as a text-based debugger. KXSLDbg can be run as a
 standalone application or as an embedded TDE part.
 .
 XSLT is an XML language for defining transformations of XML files from
 XML to some other arbitrary format, such as XML, HTML, plain text, etc.,
 using standard XSLT stylesheets.
 .
 This package is part of TDE, as a component of the TDE web development module.
 See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.

Package: tdewebdev-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdewebdev-kde3-dbg (<< 4:14.0.0~), kdewebdev-trinity-dbg (<< 4:14.0.0~)
Breaks: kdewebdev-kde3-dbg (<< 4:14.0.0~), kdewebdev-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for tdewebdev [Trinity]
 This package contains the debugging symbols associated with tdewebdev.
 They will automatically be used by gdb for debugging tdewebdev-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_INSTALL_CHANGELOGS_tdefilereplace-trinity    := tdefilereplace/ChangeLog
DEB_INSTALL_CHANGELOGS_kimagemapeditor-trinity := kimagemapeditor/ChangeLog
DEB_INSTALL_CHANGELOGS_klinkstatus-trinity     := klinkstatus/ChangeLog
DEB_INSTALL_CHANGELOGS_kommander-trinity       := kommander/ChangeLog
DEB_INSTALL_CHANGELOGS_quanta-trinity          := quanta/ChangeLog

_P=)
GCC_VERSION := $(shell gcc --version | sed -n "/^gcc/s/^[^$(_P)]*$(_P) \(.\..\).*/\1/p")
ifeq ($(GCC_VERSION),4.3)
  CXX = g++ -fpermissive
endif

DEB_DH_STRIP_ARGS  := --dbg-package=tdewebdev-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

PACKAGES_WITH_LIBS := kommander-trinity

#shlibs_ver = 4:3.5.0-1
#$(foreach p,$(PACKAGES_WITH_LIBS),$(eval DEB_DH_MAKESHLIBS_ARGS_$(p) := -V'$(p) (>= $(shlibs_ver))'))

## tdewebdev-trinity 14.0.6

=== debian/changelog ===
tdewebdev-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 23:24:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Armin Berres <trigger+debian@space-based.de>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, gettext, tdelibs14-trinity-dev, libreadline-dev | libreadline6-dev | libreadline5-dev, libxml2-dev, libxslt1-dev, sharutils, texinfo, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, tdelibs14-trinity-dev, libreadline-dev | libreadline6-dev | libreadline5-dev, libxml2-dev, libxslt1-dev, sharutils, texinfo, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://trinity.pearsoncomputing.net
 
@@ -142,7 +142,7 @@
 Section: tde
 Replaces: kommander-kde3 (<< 4:14.0.0~), kommander-trinity (<< 4:14.0.0~)
 Breaks: kommander-kde3 (<< 4:14.0.0~), kommander-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}, gettext
+Depends: ${shlibs:Depends}
 Suggests: kommander-trinity-dev, quanta-trinity, khelpcenter-trinity
 Description: visual dialog builder and executor tool [Trinity]
  Kommander is a visual dialog building tool whose primary objective is

## tdewebdev-trinity 14.0.8

=== debian/changelog ===
tdewebdev-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:41:09 +0200

## tdewebdev-trinity 14.0.9

=== debian/changelog ===
tdewebdev-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:55:22 +0200

## tdewebdev-trinity 14.0.10

=== debian/changelog ===
tdewebdev-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tdewebdev-trinity
 Section: web
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Armin Berres <trigger+debian@space-based.de>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, autotools-dev, gawk, tdelibs14-trinity-dev, libreadline-dev | libreadline6-dev | libreadline5-dev, libxml2-dev, libxslt1-dev, sharutils, texinfo, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, tqt3-doc, libreadline-dev | libreadline6-dev | libreadline5-dev, libxml2-dev, libxslt1-dev, libicu-dev, libcvsservice-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://trinity.pearsoncomputing.net

## tdewebdev-trinity 14.0.11

=== debian/changelog ===
tdewebdev-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:34:52 +0200

## tdewebdev-trinity 14.0.12

=== debian/changelog ===
tdewebdev-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 22 Apr 2022 00:57:00 +0200

## tdewebdev-trinity 14.0.13

=== debian/changelog ===
tdewebdev-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 14 Oct 2022 01:49:30 +0200

## tdewebdev-trinity 14.1.0

=== debian/changelog ===
tdewebdev-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tdewebdev-trinity 14.1.1

=== debian/changelog ===
tdewebdev-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 26 Sep 2023 03:27:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Armin Berres <trigger+debian@space-based.de>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, tqt3-doc, libreadline-dev | libreadline6-dev | libreadline5-dev, libxml2-dev, libxslt1-dev, libicu-dev, libcvsservice-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tqt3-doc, libreadline-dev | libreadline6-dev | libreadline5-dev, libxml2-dev, libxslt1-dev, libicu-dev, libcvsservice-trinity-dev
 Standards-Version: 3.8.4
 Homepage: http://trinity.pearsoncomputing.net
 
 Package: tdewebdev-trinity
 Architecture: all
 Section: tde
-Replaces: kdewebdev-kde3 (<< 4:14.0.0~), kdewebdev-trinity (<< 4:14.0.0~)
-Breaks: kdewebdev-kde3 (<< 4:14.0.0~), kdewebdev-trinity (<< 4:14.0.0~)
-Depends: quanta-trinity (>= ${source:Version}), tdefilereplace-trinity (>= ${source:Version}), kimagemapeditor-trinity (>= ${source:Version}), klinkstatus-trinity (>= ${source:Version}), kommander-trinity (>= ${source:Version}), kxsldbg-trinity (>= ${source:Version})
+Replaces: kdewebdev-trinity (<< 4:14.0.0~)
+Breaks: kdewebdev-trinity (<< 4:14.0.0~)
+Depends: quanta-trinity (>= ${source:Version}), kimagemapeditor-trinity (>= ${source:Version}), klinkstatus-trinity (>= ${source:Version}), kommander-trinity (>= ${source:Version}), kxsldbg-trinity (>= ${source:Version})
 Suggests: kommander-trinity-dev (>= ${source:Version}), tdewebdev-trinity-doc-html (>= ${source:Version})
 Description: web development apps from the official TDE release [Trinity]
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
@@ -27,8 +27,8 @@
 Package: tdewebdev-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdewebdev-kde3-doc-html (<< 4:14.0.0~), kdewebdev-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdewebdev-kde3-doc-html (<< 4:14.0.0~), kdewebdev-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdewebdev-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdewebdev-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdewebdev-trinity
 Description: TDE web development documentation in HTML format [Trinity]
  By default the modules provided by TDE only provide their documentation
@@ -47,8 +47,8 @@
 Package: quanta-trinity
 Architecture: any
 Section: web
-Replaces: quanta-kde3 (<< 4:14.0.0~), quanta-trinity (<< 4:14.0.0~)
-Breaks: quanta-kde3 (<< 4:14.0.0~), quanta-trinity (<< 4:14.0.0~)
+Replaces: quanta-trinity (<< 4:14.0.0~)
+Breaks: quanta-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, tdefilereplace-trinity, klinkstatus-trinity, kommander-trinity, quanta-data-trinity, tidy
 Recommends: cervisia-trinity, gnupg, kompare-trinity, kxsldbg-trinity, docbook-defguide
 Suggests: gubed, kimagemapeditor-trinity, wget, khelpcenter-trinity, php-doc
@@ -72,8 +72,8 @@
 Package: quanta-data-trinity
 Architecture: all
 Section: web
-Replaces: quanta-data-kde3 (<< 4:14.0.0~), quanta-data-trinity (<< 4:14.0.0~)
-Breaks: quanta-data-kde3 (<< 4:14.0.0~), quanta-data-trinity (<< 4:14.0.0~)
+Replaces: quanta-data-trinity (<< 4:14.0.0~)
+Breaks: quanta-data-trinity (<< 4:14.0.0~)
 Recommends: quanta-trinity (= ${source:Version})
 Description: data files for Quanta Plus web development environment [Trinity]
  This package contains architecture-independent data files for Quanta
@@ -85,30 +85,11 @@
  This package is part of TDE, as a component of the TDE web development module.
  See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.
 
-Package: tdefilereplace-trinity
-Architecture: any
-Section: tde
-Replaces: kfilereplace-kde3 (<< 4:14.0.0~), kfilereplace-trinity (<< 4:14.0.0~)
-Breaks: kfilereplace-kde3 (<< 4:14.0.0~), kfilereplace-trinity (<< 4:14.0.0~)
-Depends: ${shlibs:Depends}
-Suggests: quanta-trinity
-Description: batch search-and-replace component for TDE [Trinity]
- KFileReplace is an embedded component for TDE that acts as a batch
- search-and-replace tool. It allows you to replace one expression with
- another in many files at once.
- .
- Note that at the moment KFileReplace does not come as a standalone
- application. An example of an application that uses the KFileReplace
- component is Quanta Plus (found in the package quanta).
- .
- This package is part of TDE, as a component of the TDE web development module.
- See the 'tde-trinity' and 'tdewebdev-trinity' packages for more information.
-
 Package: kimagemapeditor-trinity
 Architecture: any
 Section: editors
-Replaces: kimagemapeditor-kde3 (<< 4:14.0.0~), kimagemapeditor-trinity (<< 4:14.0.0~)
-Breaks: kimagemapeditor-kde3 (<< 4:14.0.0~), kimagemapeditor-trinity (<< 4:14.0.0~)
+Replaces: kimagemapeditor-trinity (<< 4:14.0.0~)
+Breaks: kimagemapeditor-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: quanta-trinity
 Description: HTML image map editor for TDE [Trinity]
@@ -122,8 +103,8 @@
 Package: klinkstatus-trinity
 Architecture: any
 Section: web
-Replaces: klinkstatus-kde3 (<< 4:14.0.0~), klinkstatus-trinity (<< 4:14.0.0~)
-Breaks: klinkstatus-kde3 (<< 4:14.0.0~), klinkstatus-trinity (<< 4:14.0.0~)
+Replaces: klinkstatus-trinity (<< 4:14.0.0~)
+Breaks: klinkstatus-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: quanta-trinity, khelpcenter-trinity
 Description: web link validity checker for TDE [Trinity]
@@ -140,8 +121,8 @@
 Package: kommander-trinity
 Architecture: any
 Section: tde
-Replaces: kommander-kde3 (<< 4:14.0.0~), kommander-trinity (<< 4:14.0.0~)
-Breaks: kommander-kde3 (<< 4:14.0.0~), kommander-trinity (<< 4:14.0.0~)
+Replaces: kommander-trinity (<< 4:14.0.0~)
+Breaks: kommander-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: kommander-trinity-dev, quanta-trinity, khelpcenter-trinity
 Description: visual dialog builder and executor tool [Trinity]
@@ -169,8 +150,8 @@
 Package: kommander-trinity-dev
 Architecture: any
 Section: libdevel
-Replaces: kommander-kde3-dev (<< 4:14.0.0~), kommander-trinity-dev (<< 4:14.0.0~)
-Breaks: kommander-kde3-dev (<< 4:14.0.0~), kommander-trinity-dev (<< 4:14.0.0~)
+Replaces: kommander-trinity-dev (<< 4:14.0.0~)
+Breaks: kommander-trinity-dev (<< 4:14.0.0~)
 Depends: kommander-trinity (= ${binary:Version}), tdelibs14-trinity-dev
 Description: development files for Kommander [Trinity]
  This package contains the headers and other development files for
@@ -188,8 +169,8 @@
 Package: kxsldbg-trinity
 Architecture: any
 Section: text
-Replaces: kxsldbg-kde3 (<< 4:14.0.0~), kxsldbg-trinity (<< 4:14.0.0~)
-Breaks: kxsldbg-kde3 (<< 4:14.0.0~), kxsldbg-trinity (<< 4:14.0.0~)
+Replaces: kxsldbg-trinity (<< 4:14.0.0~)
+Breaks: kxsldbg-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: quanta-trinity, khelpcenter-trinity
 Description: graphical XSLT debugger for TDE [Trinity]
@@ -207,8 +188,8 @@
 Package: tdewebdev-trinity-dbg
 Section: libdevel
 Architecture: any
-Replaces: kdewebdev-kde3-dbg (<< 4:14.0.0~), kdewebdev-trinity-dbg (<< 4:14.0.0~)
-Breaks: kdewebdev-kde3-dbg (<< 4:14.0.0~), kdewebdev-trinity-dbg (<< 4:14.0.0~)
+Replaces: kdewebdev-trinity-dbg (<< 4:14.0.0~)
+Breaks: kdewebdev-trinity-dbg (<< 4:14.0.0~)
 Depends: tdelibs-trinity-dbg
 Priority: extra
 Description: debugging symbols for tdewebdev [Trinity]

## tdewebdev-trinity 14.1.2

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( tdewebdev )


##### include essential cmake modules ###########

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS       "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY    "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_OTHER_EDITORS     "Build with other editors than kate"                ${WITH_ALL_OPTIONS} )
option( WITH_QUANTA_CVSSERVICE "Build quanta with cvs service support"             ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL             "Build all"             ON )
option( BUILD_QUANTA          "Build quanta"          ${BUILD_ALL} )
option( BUILD_KXSLDBG         "Build kxsldbg"         ${BUILD_ALL} )
option( BUILD_KOMMANDER       "Build Kommander"       ${BUILD_ALL} )
option( BUILD_KLINKSTATUS     "Build klinkstatus"     ${BUILD_ALL} )
option( BUILD_KIMAGEMAPEDITOR "Build kimagemapeditor" ${BUILD_ALL} )
option( BUILD_DOC             "Build documentation"   ${BUILD_ALL} )


##### user defined options

set( XSLDBG_BIN "xsldbg" CACHE STRING "Name of the xsldbg executable" )
set( KMDR_EXECUTOR_PATH "${CMAKE_INSTALL_PREFIX}/bin/kmdr-executor" CACHE STRING "Path for the kmdr-executor executable" )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

tde_conditional_add_subdirectory( BUILD_QUANTA          lib             )
tde_conditional_add_subdirectory( BUILD_QUANTA          quanta          )
tde_conditional_add_subdirectory( BUILD_KXSLDBG         kxsldbg         )
tde_conditional_add_subdirectory( BUILD_KOMMANDER       kommander       )
tde_conditional_add_subdirectory( BUILD_KLINKSTATUS     klinkstatus     )
tde_conditional_add_subdirectory( BUILD_KIMAGEMAPEDITOR kimagemapeditor )
tde_conditional_add_subdirectory( BUILD_DOC             doc             )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
tdewebdev-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Apr 2024 00:43:32 +0200

## tdewebdev-trinity 14.1.3

=== debian/changelog ===
tdewebdev-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:12:50 +0200

## tdewebdev-trinity 14.1.4

=== debian/changelog ===
tdewebdev-trinity (4:14.1.4-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdewebdev

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200
